aMule Forum

Please login or register.

Login with username, password and session length
Advanced search  

News:

We're back! (IN POG FORM)

Author Topic: aMule chashes after upgrading openSUSE 11.4  (Read 2532 times)

DavidEG

  • Approved Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 5
aMule chashes after upgrading openSUSE 11.4
« on: March 12, 2011, 11:54:31 AM »

Hello,

I can't start aMule since I upgrade openSUSE. I get this message:
Code: [Select]
Initialising aMule 2.2.6 using wxGTK2 v2.8.11
Checking if there is an instance already running...
No other instances are running.
ListenSocket: Ok.
        aMule Version: aMule 2.2.6 using wxGTK2 v2.8.11

Terminated after throwing an instance of 'std::logic_error'
        what(): basic_string::_S_construct NULL not valid
        backtrace:
[2] ?? in amule[0x44ac3c]
[3] wxEntry(int&, wchar_t**) in /usr/lib64/wx-2.8-stl/libwx_baseu-2.8.so.0[0x7f3199fbecc8]
[4] ?? in amule[0x51f852]
[5] __libc_start_main in /lib64/libc.so.6[0x7f3198ff8bfd]
[6] ?? in amule[0x449f49]

Operating System
openSUSE 11.4 (Linux opensuse 2.6.37.1-1.2-desktop #1 SMP PREEMPT 2011-02-21 10:34:10 +0100 x86_64 x86_64 x86_64 GNU/Linux)

aMule version
aMule 2.2.6 using wxGTK2 v2.8.11 (OS: Linux)

Other things
Platform: 64 bits
KDE 4.6.0
aMule crashes always.
No problem before upgrade to 11.4


Regards,
David EG
Logged

Stu Redman

  • Administrator
  • Hero Member
  • *****
  • Karma: 214
  • Offline Offline
  • Posts: 3762
  • Engines screaming
Re: aMule chashes after upgrading openSUSE 11.4
« Reply #1 on: March 12, 2011, 01:59:00 PM »

See here for a description of the problem and a solution:

http://forum.amule.org/index.php?topic=18565.0
Logged
The image of mother goddess, lying dormant in the eyes of the dead, the sheaf of the corn is broken, end the harvest, throw the dead on the pyre -- Iron Maiden, Isle of Avalon

DavidEG

  • Approved Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 5
Re: aMule chashes after upgrading openSUSE 11.4
« Reply #2 on: March 13, 2011, 12:56:40 PM »

Hello,

Thank you for your answer.

This morning I've update again (zypper dup) and now it's working. I guess they rebuild amule the way you point.
Logged